<?php
/**
 * @package RSPageBuilder!
 * @copyright (C) 2016 - 2024 www.rsjoomla.com
 * @license GPL, http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access
defined ('_JEXEC') or die ('Restricted access');

use Joomla\CMS\MVC\Controller\BaseController;
use Joomla\CMS\Factory;

require_once __DIR__ . '/helpers/config.php';
require_once __DIR__ . '/helpers/rspagebuilder.php';

// Initialize main helper
RSPageBuilderHelper::init();

$controller = BaseController::getInstance('RSPagebuilder');
$controller->execute(Factory::getApplication()->input->getCmd('task'));
$controller->redirect();